# ufsp-scgi-appserver-httpd: a framework for using kernel-enforced access control mechanisms (e.g. Unix filesystem permissions) for access control in web applications

This is an HTTP server system that I developed for a computer-science class project (hence its original name of *projhttpd*) in spring term 2010. It performs user-authentication (only HTTP Basic auth is supported) in its central server process, executes one SCGI server subprocess per authenticated user, and uses the setuid(2) Unix system call to make the underlying operating system enforce separate Unix user privileges on each SCGI server.
